quoted_printable_encode
rtrim
String Functions
PHP Manual

# quotemeta

(PHP 4, PHP 5)

quotemeta — Quote meta characters

### Description

string quotemeta ( string `$str` )

Returns a version of str with a backslash character (\) before every character that is among these:

. \ + * ? [ ^ ] ( $ )

### Parameters

`str`

  The input string.

### Return Values

Returns the string with meta characters quoted.

### Notes

> Note: This function is binary-safe.

### See Also

- addslashes() - Quote string with slashes
- addcslashes() - Quote string with slashes in a C style
- htmlentities() - Convert all applicable characters to HTML entities
- htmlspecialchars() - Convert special characters to HTML entities
- nl2br() - Inserts HTML line breaks before all newlines in a string
- stripslashes() - Un-quotes a quoted string
- stripcslashes() - Un-quote string quoted with addcslashes
- preg_match() - Perform a regular expression match

quoted_printable_encode
rtrim
String Functions
PHP Manual